Bug 1313969 - Reload operation is showing "restart" in Operations history.
Reload operation is showing "restart" in Operations history.
Status: CLOSED NOTABUG
Product: JBoss Operations Network
Classification: JBoss
Component: Plugin -- JBoss EAP 7 (Show other bugs)
JON 3.3.5
Unspecified Unspecified
medium Severity medium
: DR02
: One-off release
Assigned To: Michael Burman
Mike Foley
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-02 12:33 EST by Prachi
Modified: 2017-01-02 08:24 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-08 09:08:53 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
EAP-operations-performed (133.79 KB, image/png)
2016-03-02 12:33 EST, Prachi
no flags Details

  None (edit)
Description Prachi 2016-03-02 12:33:06 EST
Created attachment 1132412 [details]
EAP-operations-performed

Description of problem:
Reload operation is showing "restart" in Operations history.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Login to JON server
2. Navigate to the imported EAP standalone Server
3. Navigate to Operations tab
4. initiate "reload" operation


Actual results: Restarting whole Standalone server an showing "restart" in Operations history.


Expected results: It should reload the configuration and show "reload" in operation history


Additional info:
Comment 1 Heiko W. Rupp 2016-03-03 08:55:47 EST
I am not sure I get this. The display names of the operations show here are literally taken from the value in the plugin descriptor (with capitalization done). So when I see the screenshot, I understand you indeed were running "restart".

Apart from that: EAP does indeed for "reload" internally mostly shut down, and then restart - this looks in the log file like the server is entirely restarting. The difference to restart though is that the JVM is not terminated on reload, while it is terminated and a new one started for "restart".
Comment 2 Michael Burman 2016-03-07 07:43:41 EST
I can't repeat this, I get "Reload" when I do "Reload". And like Heiko described, if the operation name states "Reload" then that's repeated, there's no second description part or reading of the operation name from elsewhere. And there's no difference to EAP6 or any other plugin/resource.

I'd say CLOSED -> NOTABUG.

Note You need to log in before you can comment on or make changes to this bug.